Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Device Enumeration Framework
Name:		DeviceKit
Version:	003
Release:	1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libudev0-devel

%description
DeviceKit is a framework for enumerating devices.

%package	devel
Summary:	Headers and libraries for DeviceKit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Headers and libraries for DeviceKit.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q

%build
./autogen.sh
%configure \
--disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%_bindir
%_libexecdir
%_libdir/lib*.so.*
%_mandir
%_sysconfdir/dbus-1/system.d
%_sysconfdir/udev/rules.d
%_datadir/dbus-1/system-services
%dir %{_localstatedir}/run/devkit

%files devel
%defattr(-,root,root,-)
%_libdir/lib*.so
%_libdir/lib*.a
%_libdir/lib*.la
%_pkgconfig
%_includedir
%_datadir/dbus-1/interfaces

%changelog
* Mon Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 002-1
- Initial package release
